Subject: Re: bug#373: xfce4-notifyd not started at xfce session login

From: Tito <[email-masked]>
Date: Wed, 29 Jan 2020 14:31:42 +0100

On 1/29/20 12:15 PM, Mark Hindley wrote:
> On Tue, Jan 28, 2020 at 03:40:42PM +0100, Tito wrote:
>> On Tue, 28 Jan 2020 11:16:09 +0000 Mark Hindley <[email-masked]> wrote:
>>> Tito,
>>>
>>> Thanks. The only thing that catches my eye is you have kdeconnect installed.
>>> I am not familiar with it, but does it listen on the
>>> org.freedesktop.Notifications dbus interface?
>>>
>>> What does this command produce?
>>>
>>> busctl --user status org.freedesktop.Notifications
>>>
>>> Mark
>>
>> Hi,
>>
>> At xfce4 start without starting xfce4-notifyd manually:
>>
>> busctl --user status org.freedesktop.Notifications
>> Failed to get credentials: No such device or address
>>
>>
>> When xfce4-notifyd is started manually:
> 
> Hmmm. that is all as I would expect.
> 
> Without xfce4-notifyd running,
> 
>   busctl --user | grep Notifications
> 
> should list org.freedesktop.Notifications as (activatable). Does it?
Hi,
Yes:

busctl --user | grep Notifications
org.freedesktop.Notifications  - -    -   (activatable) -

> If so, I am unsure why xfce4 is not activating it on startup. Do you have
> something in Settings -> Notifications preventing it?

The test was done with a new user and xfce's default configs.

> The other thing I wonder is if it is not running at startup because no
> notifications have been sent? I think the DBus service will only be activated as
> required. So without xfce4-notifyd running, if I send a notification
> (notify-send 'Test message'), xfce4-notifyd is activated and the notification
> appears.
> 
> Does it behave like that for you?

No, notify-send sits there for 50 seconds and then exits but no notification pops up:

time notify-send "test message"

real    0m50.059s
user    0m0.005s
sys     0m0.003s

OTOH if I start a KDE session for the same test user notifications work,
so XFCE and KDE are doing things differently.

Tito

> Mark